Package org.apache.maven.scm.provider.accurev.util

## Class QuotedPropertyParser

- java.lang.Object
- - org.apache.maven.scm.provider.accurev.util.QuotedPropertyParser

    public final class QuotedPropertyParser
    extends java.lang.Object

Author:
  ggardner

### Nested Class Summary

Nested Classes
`static class` `QuotedPropertyParser.QuotedParseState`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Map<java.lang.String,​java.lang.String>` `parse​(java.lang.CharSequence seq)`
`static void` `parse​(java.lang.CharSequence string, java.util.Map<? super java.lang.String,​? super java.lang.String> propertyMap)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    public static java.util.Map<java.lang.String,​java.lang.String> parse​(java.lang.CharSequence seq)

#### parse

    public static void parse​(java.lang.CharSequence string,
                             java.util.Map<? super java.lang.String,​? super java.lang.String> propertyMap)